Subject: bug#63708: 29.0.60; rust-ts-mode not properly handling apostrophe

From: Randy Taylor <[email-masked]>
Date: Mon, 29 May 2023 13:20:58 +0000

On Monday, May 29th, 2023 at 09:12, Eli Zaretskii <[email-masked]> wrote:
> > Date: Mon, 29 May 2023 12:18:38 +0000
> 
> > From: Randy Taylor [email-masked]
> > Cc: [email-masked], [email-masked], [email-masked]
> > 
> > On Monday, May 29th, 2023 at 08:12, Eli Zaretskii [email-masked] wrote:
> > 
> > > > Date: Mon, 29 May 2023 01:29:31 +0000
> > > 
> > > > From: Randy Taylor [email-masked]
> > > > Cc: Eli Zaretskii [email-masked], [email-masked], [email-masked]
> > > > 
> > > > I won't be committing them (don't have the ability) but Eli likely will.
> > > > 
> > > > If you'd like to go through them all and check, that would be great. However, for non-trivial contributions (i.e. more than 15 lines of code changes across all your contributions I believe) you will need to assign copyright to the FSF, otherwise the changes can't be accepted. Eli can send you the form to fill out if you're interested.
> > > 
> > > It is unfortunate that the patch was posted before asking about such
> > > non-trivial submissions, because we are now stuck due to lack of
> > > copyright assignment, and the release branch must either wait for the
> > > assignment or live with the bug.
> > > 
> > > Йордан, can you think of a way of rewriting the go-ts-mode patch so
> > > that it uses fewer than 15 lines?
> > 
> > The go-ts-mode patch can be rewritten in a single line by just updating the syntax table directly like I suggested. Then we should be OK.
> 
> 
> Thanks, then please post such a patch.

Attached.

> What about rust-ts-mode?

I will reply to that thread directly.

From 8994c842946da4e8234d8b87068827d1c6185342 Mon Sep 17 00:00:00 2001
From: Randy Taylor <[email-masked]>
Date: Mon, 29 May 2023 09:16:10 -0400
Subject: [PATCH] go-ts-mode: Treat apostrophes as strings (Bug#63708)

* lisp/progmodes/go-ts-mode.el (go-ts-mode--syntax-table): Treat
apostrophes as strings.
---
 lisp/progmodes/go-ts-mode.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/progmodes/go-ts-mode.el b/lisp/progmodes/go-ts-mode.el
index 4233b115f19..698c6424ea2 100644
--- a/lisp/progmodes/go-ts-mode.el
+++ b/lisp/progmodes/go-ts-mode.el
@@ -58,6 +58,7 @@ go-ts-mode--syntax-table
     (modify-syntax-entry ?<   "."      table)
     (modify-syntax-entry ?>   "."      table)
     (modify-syntax-entry ?\\  "\\"     table)
+    (modify-syntax-entry ?\'  "\""     table)
     (modify-syntax-entry ?/   ". 124b" table)
     (modify-syntax-entry ?*   ". 23"   table)
     (modify-syntax-entry ?\n  "> b"    table)
-- 
2.40.1